



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>大数据Hadoop学习之搭建hadoop平台（2.2）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">大数据Hadoop学习之搭建hadoop平台（2.2）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 22:52:04 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>关于大数据，一看就懂，一懂就懵。</p>
<p>一、概述</p>
<p>　　本文介绍如何搭建hadoop分布式集群环境，前面文章已经介绍了如何搭建hadoop单机环境和伪分布式环境，如需要，请参看：<a href="http://www.cnblogs.com/cenwei/p/7729268.html" rel="external nofollow noreferrer">大数据Hadoop学习之搭建hadoop平台（2.1）</a>。hadoop独立环境和伪分布式环境都无法发挥hadoop的价值，若想利用hadoop进行一些有价值的工作，必须搭建hadoop分布式集群环境。</p>
<p>　　下文以三台虚拟机为基础搭建集群环境，系统版本为<strong>CentOS-7</strong>，虚拟机地址分别为：192.168.1.106、192.168.1.109、192.168.1.110</p>
<p>二、修改主机名</p>
<p>　　编辑<strong>network</strong>文件，文件位于/etc/sysconfig路径下，若文件为空则添加如下内容，如不为空，则修改：HOSTNAME=namenode，namenode为修改的主机名。</p>
<div>
<div>
<pre class="prettyprint linenums">NETWORKING=yes<br />
HOSTNAME=namenode</pre>
</div>
</div>
<p>　　修改192.168.1.106的主机名为namenode、192.168.1.109的主机名为datanode01、192.168.1.110的主机名为datanode02。修改后键入命令hostname验证是否修改成功，如在192.168.1.106上键入hostname后出现namenode则表示修改成功，如下图所示：</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/743767/201711/743767-20171128225946784-216237830.png" /></p>
<p>三、修改hosts</p>
<p>　　修改hosts是为了配置前面修改的主机名和IP的映射关系。hosts文件位于<strong>/etc</strong>路径下，三台虚拟机都需要添加如下内容：</p>
<div>
<div>
<pre class="prettyprint linenums">192.168.1.106   namenode<br />
192.168.1.109   datanode01<br />
192.168.1.110   datanode02</pre>
</div>
<p>修改hosts</p></div>
<p>　　修改后效果如图所示：</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/743767/201711/743767-20171128231039097-825536012.png" /></p>
<p>四、关闭防火墙（三台机器均需关闭）</p>
<p>　　1、查看防火墙状态</p>
<div>
<div>
<pre class="prettyprint linenums">firewall-cmd --state</pre>
</div>
<p>查看防火墙状态</p></div>
<p>　　如下则表示防火墙处于开启状态：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201711/743767-20171129231827120-703231007.png" /></p>
<p>　　2、关闭防火墙</p>
<div>
<div>
<pre class="prettyprint linenums">systemctl stop firewalld.service</pre>
</div>
<p>临时关闭防火墙</p></div>
<p>　　再通过service iptables status查看防火墙状态，如下则表示防火墙已经关闭：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201711/743767-20171129232133339-1711385276.png" /></p>
<p>　　但是，这仅仅是在当前状态下关闭防火墙，系统重启后防火墙仍然会自动开启，所以需要禁止开机启动防火墙</p>
<div>
<div>
<pre class="prettyprint linenums">systemctl disable firewalld.service</pre>
</div>
<p>禁止开机启动防火墙</p></div>
<p>　　执行命令后重启系统生效。</p>
<p>五、关闭selinux（三台机器均需关闭）</p>
<p>　　selinux是一个防护程序，类似于防火墙。编辑selinux文件，文件位于：/etc/sysconfig路径下</p>
<p>　　修改SELINUX=enforcing为SELINUX=disabled，修改后效果如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201712/743767-20171207205750503-661482728.png" /></p>
<p>六、ssh免密码登录设置</p>
<p>　　hadoop集群模式下，各主机之间需要互相通信，比如上传文件到HDFS文件系统上时，都需要对文件进行备份。所以需要各机器之间能够进行免密码登录。</p>
<p>　　1、生成秘钥：输入命令：ssh-keygen -t rsa，按3次回车之后会生成秘钥。</p>
<p>　　2、拷贝秘钥到本机和其他两台机器上：分别执行命令:ssh-copy-id 192.168.1.109，ssh-copy-id 192.168.1.110拷贝秘钥。</p>
<p>　　3、免密码登录验证：执行命令ssh 192.168.1.109，如果不需要输入密码就能登录到109机器上，则免密码登录设置成功，110也执行相同的测试。</p>
<p>七、安装JDK并配置环境变量（三台机器均需要做相同的设置）</p>
<p>　　1、创建目录/home/software,上传JDK到该目录下并解压，此处使用的JDK版本是jdk1.8.0_131</p>
<p>　　2、配置环境变量：编辑文件profile，文件位于：/etc目录下，在文件尾部添加如下内容：</p>
<div>
<div>
<pre class="prettyprint linenums">export JAVA_HOME=/home/software/jdk1.8.0_131<br />
export PATH=$PATH:$JAVA_HOME/bin</pre>
</div>
<p>配置java环境变量</p></div>
<p>　　如图所示：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201712/743767-20171207214555691-338426529.png" /></p>
<p>　　3、输入命令source /etc/profile是文件立即生效</p>
<p>　　4、测试：在任意路径下输入命令：java -version，若打印出java的版本信息，则代表java安装成功。如下所示：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201712/743767-20171207214943003-1366034402.png" /></p>
<p>八、安装hadoop集群</p>
<p>　　1、下载hadoop安装包</p>
<p>　　　　下载地址：<a href="https://archive.apache.org/dist/hadoop/common/hadoop-2.7.3/" rel="external nofollow noreferrer">https://archive.apache.org/dist/hadoop/common/hadoop-2.7.3/</a>，这是hadoop-2.7.3的项目存档地址。随着Apache各项目的版本更新，各项目的网站上只上架最新版本和近期历史重要版本，如果网站下架的项目，需要到Apache存档地址上寻找，该地址是：<a href="https://archive.apache.org/dist/" rel="external nofollow noreferrer">https://archive.apache.org/dist/</a>，hadoop存档地址是：<a href="https://archive.apache.org/dist/hadoop/" rel="external nofollow noreferrer">https://archive.apache.org/dist/hadoop/</a>。在hadoop2.7.3版本的地址下，下载hadoop-2.7.3.tar.gz文件包。如下图所示：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201712/743767-20171207223037706-921641808.png" /></p>
<p>　　2、安装hadoop并配置环境变量</p>
<p>　　　　①、上传hadoop安装包hadoop-2.7.3.tar.gz到/home/software目录下并解压，当然，也可以放在其他目录下。</p>
<p>　　　　②、编辑文件profile，文件位于/etc目录下，添加如下代码：</p>
<div>
<div>
<pre class="prettyprint linenums">export HADOOP_HOME=/home/software/hadoop-2.7.3</pre>
</div>
<p>配置hadoop环境变量</p></div>
<p>　　　　　　并在PATH变量后追加如下代码：</p>
<div>
<div>
<pre class="prettyprint linenums">$HADOOP_HOME/bin:$HADOOP_HOME/sbin</pre>
</div>
<p>追加PATH变量</p></div>
<p>　　　　　　输入命令source /etc/profile使profile配置文件立即生效。最终profile文件效果如下所示：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201712/743767-20171210220655896-1448685093.png" /></p>
<p>　　　　③、验证hadoop环境变量是否配置成功：在任何路径下输入命令hadoop，如果打印相关信息，则代表hadoop的安装和环境变量配置成功，如下图所示：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201712/743767-20171210222003365-1180449891.png" /></p>
<p>　　　　至此，hadoop安装和配置环境变量成功，但是，这仅仅是进行了基础的安装，还需要进行一些配置，使hadoop能真正的工作。</p>
<p>　　　　<strong>以上第八小节的操作，在一台机器上（我使用namenode机器）配置即可，其他两台机器只需要按第②、③点编辑profile文件，因为在接下来的内容中会接着配置hadoop，全部配置完成后，把hadoop-2.7.3文件拷贝到其他机器即可。</strong></p>
<p>九、hadoop配置</p>
<p>　　1、修改hadoop-env.sh文件，文件位于/home/software/hadoop-2.7.3/etc/hadoop目录下。</p>
<p>　　　　修改java_home，找到代码&nbsp;export JAVA_HOME=${JAVA_HOME} ，修改为JAVA_HOME的值，即：export JAVA_HOME=/home/software/jdk1.8.0_131</p>
<p>　　2、修改core-site.xml文件，文件同样位于/home/software/hadoop-2.7.3/etc/hadoop目录下。</p>
<p>　　　　找到&lt;configuration&gt;节点，在该节点下添加如下代码：</p>
<div>
<div>
<pre class="prettyprint linenums">&lt;property&gt;<br />
        &lt;name&gt;fs.defaultFS&lt;/name&gt;<br />
        &lt;value&gt;hdfs://192.168.1.106:8020&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
        &lt;name&gt;hadoop.tmp.dir&lt;/name&gt;<br />
        &lt;value&gt;/home/software/hadoop-2.7.3/data/tmp&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
        &lt;name&gt;fs.trash.interval&lt;/name&gt;<br />
        &lt;value&gt;10080&lt;/value&gt;<br />
    &lt;/property&gt;</pre>
</div>
<p>修改core-site.xml</p></div>
<p>修改后效果如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180104223424831-546048168.png" /></p>
<p>　　3、 修改hdfs-site.xml文件，文件同样位于/home/software/hadoop-2.7.3/etc/hadoop目录下。</p>
<p>　　　　找到&lt;configuration&gt;节点，在该节点下添加如下代码：</p>
<div>
<div>
<pre class="prettyprint linenums">&lt;property&gt;<br />
    &lt;!-- 设置备份数为3份 --&gt;<br />
        &lt;name&gt;dfs.replication&lt;/name&gt;<br />
        &lt;value&gt;3&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 关闭HDFS权限 --&gt;<br />
        &lt;name&gt;dfs.permissions.enabled&lt;/name&gt;<br />
        &lt;value&gt;false&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 设置namenode http访问地址 --&gt;<br />
        &lt;name&gt;dfs.namenode.http-address&lt;/name&gt;<br />
        &lt;value&gt;192.168.1.106:50070&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 设置secondarynamenode http访问地址 --&gt;<br />
        &lt;name&gt;dfs.namenode.secondary.http-address&lt;/name&gt;<br />
        &lt;value&gt;192.168.1.110:50090&lt;/value&gt;<br />
    &lt;/property&gt;</pre>
</div>
<p>修改hdfs-site.xm</p></div>
<p>修改后效果如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106144734987-56317437.png" /></p>
<p>　　4、修改<strong>mapred-site.xml</strong>文件，文件同样位于/home/software/hadoop-2.7.3/etc/hadoop目录下，但是该路径下并不存在mapred-site.xml文件，只存在mapred-site.xml.template文件，将mapred-site.xml.template文件修改为mapred-site.xml即可。</p>
<p>　　　　找到<strong>&lt;configuration&gt;</strong>节点，在该节点下添加如下代码：</p>
<div>
<div>
<pre class="prettyprint linenums">&lt;property&gt;<br />
    &lt;!-- 指定mapreduce使用yarn框架来调度 --&gt;<br />
        &lt;name&gt;mapreduce.framework.name&lt;/name&gt;<br />
        &lt;value&gt;yarn&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 指定jobhistory地址 --&gt;<br />
        &lt;name&gt;mapreduce.jobhistory.address&lt;/name&gt;<br />
        &lt;value&gt;192.168.1.106:10020&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 指定jobhistorywebapp地址 --&gt;<br />
        &lt;name&gt;mapreduce.jobhistory.webapp.address&lt;/name&gt;<br />
        &lt;value&gt;192.168.1.106:19888&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 开启uber模式 --&gt;<br />
        &lt;name&gt;mapreduce.job.ubertask.enable&lt;/name&gt;<br />
        &lt;value&gt;true&lt;/value&gt;<br />
    &lt;/property&gt;</pre>
</div>
<p>修改mapred-site.xm</p></div>
<p>修改后效果如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106144957799-1055418001.png" /></p>
<p>　　5、修改<strong>yarn-site.xml</strong>文件，文件同样位于/home/software/hadoop-2.7.3/etc/hadoop目录下。</p>
<p>　　　　找到<strong>&lt;configuration&gt;</strong>节点，在该节点下添加如下代码：</p>
<div>
<div>
<pre class="prettyprint linenums">&lt;property&gt;<br />
    &lt;!-- mapreduce为shuffle --&gt;<br />
        &lt;name&gt;yarn.nodemanager.aux-services&lt;/name&gt;<br />
        &lt;value&gt;mapreduce_shuffle&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 设置resourcemanager主机 --&gt;<br />
        &lt;name&gt;yarn.resourcemanager.hostname&lt;/name&gt;<br />
        &lt;value&gt;192.168.1.109&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 设置web安全任务的主机和端口 --&gt;<br />
        &lt;name&gt;yarn.web-proxy.address&lt;/name&gt;<br />
        &lt;value&gt;192.168.1.109:8089&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 开启日志，可以在yarn中查看日志 --&gt;<br />
        &lt;name&gt;yarn.log-aggregation-enable&lt;/name&gt;<br />
        &lt;value&gt;true&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 设置yarn删除日志的时间 --&gt;<br />
        &lt;name&gt;yarn.log-aggregation.retain-seconds&lt;/name&gt;<br />
        &lt;value&gt;604800&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 设置yarn的内存 --&gt;<br />
        &lt;name&gt;yarn.nodemanager.resource.memory-mb&lt;/name&gt;<br />
        &lt;value&gt;8192&lt;/value&gt;<br />
    &lt;/property&gt;<br />
    &lt;property&gt;<br />
    &lt;!-- 设置yarn的cpu为8核 --&gt;<br />
        &lt;name&gt;yarn.nodemanager.resource.cpu-vcores&lt;/name&gt;<br />
        &lt;value&gt;8&lt;/value&gt;<br />
    &lt;/property&gt;</pre>
</div>
<p>修改yarn-site.xml</p></div>
<p>修改后效果如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106145132221-1280722063.png" /></p>
<p>　　6、修改slaves文件，文件同样位于/home/software/hadoop-2.7.3/etc/hadoop目录下。</p>
<p>　　　　hadoop可以通过脚本命令在整合集群范围内启动和停止守护进程，但是，需要告诉命令hadoop集群中有哪些机器，slaves文件的作用正是如此，slaves文件中包含了机器的主机名或者是IP地址，每行代表一个机器信息，该文件列举了可以运行<strong>datanode</strong>和节点管理器（<strong>nodemanager</strong>）的机器。当然，slaves文件可以不放在/home/software/hadoop-2.7.3/etc/hadoop目录下，通过修改hadoop-env.sh配置文件中的HADOOP_SLAVES设置可以把slaves放到别的地方并赋予一个别名。</p>
<p>　　　　在slaves中添加如下内容：</p>
<div>
<div>
<pre class="prettyprint linenums">192.168.1.106<br />
192.168.1.109<br />
192.168.1.110</pre>
</div>
<p>hadoop集群主机地址</p></div>
<p>　　　　修改后效果如下：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106143612112-420823041.png" /></p>
<p>　　7、分发<strong>hadoop-2.7.3</strong></p>
<p>　　　　进行如上配置之后，把<strong>hadoop-2.7.3</strong>文件拷贝到其他机器上，注意，先格式化namenode之后再拷贝。</p>
<p>&middot;　　　　①、格式化hadoop：进入到hadoop-2.7.3文件下，及/home/software/hadoop-2.7.3路径下，输入命令：<strong>bin/hadoop namenode -format，</strong>等待格式化完成，格式化完成之后，在屏幕上打印出来的最后几行，可以看到<strong>has been successfully formatted</strong>代表格式化成功：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106145456378-471670506.png" /></p>
<p>　　　　②、分发<strong>hadoop-2.7.3</strong>文件到其他机器上：使用scp -r&nbsp;hadoop-2.7.3 192.168.1.109:/home/software、scp -r&nbsp;hadoop-2.7.3 192.168.1.110:/home/software命令把hadoop-2.7.3文件拷贝到192.168.1.109和192.168.1.110机器上的/home/software路径下。</p>
<p>　　8、&nbsp;启动服务</p>
<p>　　　　①、启动<strong>hdfs</strong>服务：在namenode主机上，进入/home/software/hadoop-2.7.3目录下，输入命令<strong>sbin/start-dfs.sh</strong>，等待服务启动。启动服务的过程中，会提示是否确定连接其他机器（Are you sure you want to continue connecting (yes/no)?），输入yes即可。启动成功之后，输入jps命令可以看到启动了NameNode和DataNode守护进程；其他两台机器上分别启动了DataNode，SecondaryNameNode、DataNode。</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106154653534-1286080003.png" /></p>
<p>　　　　②、启动<strong>yarn</strong>服务：启动yarn服务需要在<strong>192.168.1.109</strong>机器上启动，因为在<strong>yarn-site.xml</strong>配置文件中，配置了yarn的服务地址为192.168.1.109。进入目录/home/software/hadoop-2.7.3下，输入命令：<strong>sbin/start-yarn.sh,</strong>等待服务启动。</p>
<p>　　　　③、启动<strong>jobhistory：</strong>在192.168.1.106机器上启动jobhistory，进入目录/home/software/hadoop-2.7.3下，输入命令：<strong>sbin/mr-jobhistory-daemon.sh start historyserver,</strong>等待服务启动。</p>
<p>　　　　④、启动<strong>proxyserver</strong>防护进程：在192.168.1.109机器上启动proxyserver，进入目录/home/software/hadoop-2.7.3下，输入命令：<strong>sbin/yarn-daemon.sh start proxyserver,</strong>等待服务启动。</p>
<p>　　9、通过web界面查看hdfs和yarn</p>
<p>　　　　①、在浏览器输入地址：192.168.1.106:50070，能看到如下hdfs web界面：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106161634924-352376353.png" /></p>
<p>　　　　②、在浏览器输入地址：192.168.1.109:8088，能看到如下yarn web界面：</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/743767/201801/743767-20180106222021815-1665696066.png" /></p>
<p>十、结语</p>
<p>　　至此，hadoop集群模式安装并配置成功，可以在该集群环境上部署hadoop的应用，比如hive、hue、impala等应用，使hadoop投入工作。但是，此时的集群并不健壮，还需要进一步配置hadoop。在接下来的博文中会详细记录。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7v2jxq.html">CentOS7安装PHP简易步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mg6pp8.html">ASP&period;NET 数据库访问通用工具</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0j16eq.html">codeforces 70D Professor&amp;&num;39&semi;s task（动态二维凸包）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdlg6r8.html">服务器 IIS 发布网站 支持下载 apk 和 ipa</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zjrz09.html">C&plus;&plus;编程练习&lpar;14&rpar;-------&OpenCurlyDoubleQuote;单例模式&rdquo;的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd6mrd8.html">压力测试    tpcc-mysql</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vk46m8.html">银行卡luhm校验算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdel2z79.html">Delphi调用java开发的WebService&comma;传入参数出错</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok072p9.html">Oracle的卸载与安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv4l4xq.html">Arithmetic Sequence（dp）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv10k2xq.html">SQL server 数据库&mdash;&mdash;表连接（多表横向连接，纵向连接）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gegp2e8.html">java后端程序员1年工作经验总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jyxjx8.html">Linux入门&lpar;12&rpar;&mdash;&mdash;解决双系统下Ubuntu16&period;04不能访问Windows分区</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jz4ng48.html">Linux网络设置&lpar;第二版&rpar; --Linux网络设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1j4egq.html">文件lseek操作产生空洞文件的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2v1r19.html">MYSQL ini 配置文件详解及性能优化方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/960kmw49.html">ajax跨域原理和cors跨域资源共享</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwveox9.html">Ubuntu：双（多）网卡绑定（bonding）配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m24zzpq.html">TFA（Trace File Analyzer）的安装与使用（ORACLE版本12C）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy7xgxq.html">Django用户认证组件</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/90m1ygm8.html">Swift 3&period;0在集合类数据结构上的一些新变化</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpdkw39.html">【java】HashMap、Map、Set、HashMap&period;put&lpar;&rpar;、HashMap&period;keySet&lpar;&rpar;、HashMap&period;entrySet&lpar;&rpar;、Map&period;Entry内部类</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpxrk0q.html">C&num;备份一个文件到指定的文件夹里面</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kdwdz9.html">JavaScript：AOP实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnjl43x8.html">SQL Server 数据库引擎怎样记录完整备份后修改过的数据</a>
			</li>
						<li><a href="https://www.batexi.com/a/93y66lz8.html">java中的参数传递是按引用传递还是按值传递</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv177xyq.html">在Ubuntu14&period;04下安装 ffmpeg-2&period;4&period;13（处理视频用，将视频保存为图片序列）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljx23x9.html">find 命令详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4z65o39.html">MobaXterm</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1o30gq.html">Unable to make the module&colon; related gradle configuration was not found&period; Please&comma; re-import the Gradle project and try again</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
